post

Notifies Caddi when part of an order has been shipped in order to capture funds

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

When items in the order have shipped successfully, the Merchant should call the Ship Order API to notify Caddi that those items have been shipped and capture funding. The Ship Order API should be called with the following:

  1. The orderToken provided in previous steps
  2. The shippedAmount item value (including taxes) of all newly shipped items
  3. Optionally, a merchantReference which will be provided later with funding reports

Caddi will respond with one of the following payment status results:

  1. If Caddi is able to successfully confirm shipment status, the status APPROVED will be returned alongside a fundingReference which can be used to refer back to this request.
  2. If Caddi is unable to confirm shipment status, the status DECLINED will be returned with an object elaborating on the error details.

If the APPROVED status is received, no further action is required from the Merchant.

If the DECLINED status is received, the Merchant should not retry calling the API again. Your Caddi relationship manager will automatically be made aware of the problem and reach out to your primary contact to discuss a resolution.

In addition to the above fields, Caddi will return the field fundingReference which can be used when communicating with customer service in regards to order funding. This field will always be unique for a given request to this API.

Body Params
string
required

The orderToken the capture funds request should be applied to

double
required
string

Optionally, your unique reference id for this capture funds request which will be provided in settlement reports

merchantMetadata
object

Optionally, additional metadata which will be provided in settlement reports

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json